| Home | Libraries | People | FAQ | More

## Global alnum

boost::xpressive::alnum — Matches an alpha-numeric character.

## Synopsis

    // In header: <boost/xpressive/regex_primitives.hpp>

    unspecified alnum;

## Description

The regex traits are used to determine which characters are alpha-numeric. To match any character that is not alpha-numeric, use ~alnum.

| Note
alnum is equivalent to /[[:alnum:]]/ in perl. ~alnum is equivalent to /[[:^alnum:]]/ in perl.